<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:22:04 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>ITemplateMappingRule (org.eclipse.papyrus.designer.components.fcm.profile 0.7.6 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ITemplateMappingRule (org.eclipse.papyrus.designer.components.fcm.profile 0.7.6 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ITemplateMappingRule.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/IMappingRule.html" title="interface in org.eclipse.papyrus.designer.components.FCM.profile"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/PortMapUtil.html" title="class in org.eclipse.papyrus.designer.components.FCM.profile"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/components/FCM/profile/ITemplateMappingRule.html" target="_top">Frames</a></li>
<li><a href="ITemplateMappingRule.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.components.FCM.profile</div>
<h2 title="Interface ITemplateMappingRule" class="title">Interface ITemplateMappingRule</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/IMappingRule.html" title="interface in org.eclipse.papyrus.designer.components.FCM.profile">IMappingRule</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">ITemplateMappingRule</span>
extends <a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/IMappingRule.html" title="interface in org.eclipse.papyrus.designer.components.FCM.profile">IMappingRule</a></pre>
<div class="block">A specific mapping rule for template ports, i.e. ports that facilitate the
 use of bound ports: i.e. instead of creating explicitly a binding for an extended
 port, the type of the port is used as actual and the kind points to an extended
 port</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html" title="interface in org.eclipse.papyrus.designer.components.FCM">PortKind</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/ITemplateMappingRule.html#getBoundType-org.eclipse.papyrus.designer.components.FCM.Port-">getBoundType</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port)</code>
<div class="block">Return the bound type</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/ITemplateMappingRule.html#updateBinding-org.eclipse.papyrus.designer.components.FCM.Port-">updateBinding</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port)</code>
<div class="block">Update the created binding</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.designer.components.FCM.profile.IMappingRule">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.designer.components.FCM.profile.<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/IMappingRule.html" title="interface in org.eclipse.papyrus.designer.components.FCM.profile">IMappingRule</a></h3>
<code><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/IMappingRule.html#calcDerivedType-org.eclipse.papyrus.designer.components.FCM.Port-boolean-">calcDerivedType</a>, <a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/IMappingRule.html#needsUpdate-org.eclipse.papyrus.designer.components.FCM.Port-">needsUpdate</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="updateBinding-org.eclipse.papyrus.designer.components.FCM.Port-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateBinding</h4>
<pre>void&nbsp;updateBinding(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port)</pre>
<div class="block">Update the created binding</div>
</li>
</ul>
<a name="getBoundType-org.eclipse.papyrus.designer.components.FCM.Port-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getBoundType</h4>
<pre><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html" title="interface in org.eclipse.papyrus.designer.components.FCM">PortKind</a>&nbsp;getBoundType(<a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM">Port</a>&nbsp;port)</pre>
<div class="block">Return the bound type</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>port</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ITemplateMappingRule.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/IMappingRule.html" title="interface in org.eclipse.papyrus.designer.components.FCM.profile"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/designer/components/FCM/profile/PortMapUtil.html" title="class in org.eclipse.papyrus.designer.components.FCM.profile"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/components/FCM/profile/ITemplateMappingRule.html" target="_top">Frames</a></li>
<li><a href="ITemplateMappingRule.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
